#include <bits/stdc++.h>

using namespace std;

void vkiir(vector<string> v)
{
    for(string x:v)
        cout<<x<<"\n";
}

bool isSorted(vector<int> v)
{
    vector<int> seged=v;
    sort(seged.begin(),seged.end());
    return seged==v;
}

int main()
{
    int n;
    cin>>n;
    vector<int> v(n);
    for(int i=0;i<n;i++)
        cin>>v.at(i);
    int kerdes;
    cin>>kerdes;
    vector<string> valasz;
    for(int i=0;i<kerdes;i++)
        valasz.push_back("NE");
    vector<vector<int>> seged;
    for(int i=0;i<kerdes;i++)
    {
        int l,r;
        cin>>l>>r;
        vector<int> seged1;
        for(int j=l-1;j<=r-1;j++)
            seged1.push_back(v.at(j));
        seged.push_back(seged1);
    }
    for(int k=0;k<seged.size();k++)
    {
        for(int i=0;i<seged.at(k).size();i++)
        {
            vector<int> seged2;
            for(int j=0;j<seged.at(k).size();j++)
                if(i!=j)
                    seged2.push_back(seged.at(k).at(j));
            if(isSorted(seged2))
            {
                valasz.at(k)="DA";
                break;
            }
        }
    }
    vkiir(valasz);
    return 0;
}